## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDocumentPrefixResolver.hpp File Reference

Include dependency graph for XalanDocumentPrefixResolver.hpp:

Go to the source code of this file.

## Defines

- #define XALANDOCUMENTPREFIXRESOLVER_HEADER_GUARD_1357924680

## Typedefs

- typedef XalanVector<const
  XalanNode*> AttributeVectorTypeDecl

## Functions

- XALAN_USES_MEMORY_MANAGER (AttributeVectorTypeDecl) class XALAN_DOMSUPPORT_EXPORT XalanDocumentPrefixResolver
    This acts as the stylesheet root of the stylesheet tree, and holds values that are shared by all stylesheets in the tree. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XalanAttr

## Define Documentation

#define XALANDOCUMENTPREFIXRESOLVER_HEADER_GUARD_1357924680

Value:

## Typedef Documentation

typedef XalanVector< const XalanNode *> AttributeVectorTypeDecl<const XalanNode*>

## Function Documentation

XALAN_USES_MEMORY_MANAGER ( | AttributeVectorTypeDecl )

| This acts as the stylesheet root of the stylesheet tree, and holds values that are shared by all stylesheets in the tree.

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XalanAttr

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.